メインコンテンツへスキップ
POST
/
crm-object-schemas
/
v3
/
schemas
新しいカスタムオブジェクトスキーマを作成します。
curl --request POST \
  --url https://api.hubapi.com/crm-object-schemas/v3/schemas \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "associatedObjects": [
    "CONTACT"
  ],
  "labels": {
    "plural": "My objects",
    "singular": "My object"
  },
  "metaType": "PORTAL_SPECIFIC",
  "name": "my_object",
  "primaryDisplayProperty": "my_object_property",
  "properties": [
    {
      "isPrimaryDisplayLabel": true,
      "label": "My object property",
      "name": "my_object_property"
    }
  ],
  "requiredProperties": [
    "my_object_property"
  ]
}
'
{
  "associations": [
    {
      "fromObjectTypeId": "2-123456",
      "id": "123",
      "name": "my_object_to_contact",
      "toObjectTypeId": "0-1"
    }
  ],
  "createdAt": "2020-02-20T18:07:11.390Z",
  "fullyQualifiedName": "p7878787_my_object\"",
  "id": "123456",
  "labels": {
    "plural": "My objects",
    "singular": "My object"
  },
  "metaType": "PORTAL_SPECIFIC",
  "name": "my_object",
  "primaryDisplayProperty": "my_object_property",
  "properties": [
    {
      "archived": false,
      "calculated": false,
      "createdAt": "2020-02-20T18:07:11.802Z",
      "displayOrder": -1,
      "externalOptions": false,
      "fieldType": "text",
      "groupName": "my_object_information",
      "hasUniqueValue": false,
      "label": "My object property",
      "name": "my_object_property",
      "type": "string",
      "updatedAt": "2020-02-20T18:07:11.802Z"
    }
  ],
  "requiredProperties": [
    "my_object_property"
  ],
  "searchableProperties": [
    "my_object_property"
  ],
  "updatedAt": "2020-02-20T18:09:07.555Z"
}
サポートされる製品
次のいずれかの製品またはそれ以上が必要です。
Marketing HubMarketing HubEnterprise
Sales HubSales HubEnterprise
Service HubService HubEnterprise
Content HubContent HubEnterprise

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ボディ

application/json

Object schema definition, including properties and associations.

Defines a new object type, its properties, and associations.

associatedObjects
string[]
必須

このオブジェクトタイプについて定義された関連付け。

labels
object
必須

Singular and plural labels for the object. Used in CRM display.

:
{
"plural": "My objects",
"singular": "My object"
}
name
string
必須

このオブジェクトの重複しない名前。内部使用のみ。

properties
object[]
必須

このオブジェクトタイプについて定義されたプロパティー。

requiredProperties
string[]
必須

このタイプのオブジェクトを作成する際に「必須」となるプロパティーの名前。

allowsSensitiveProperties
boolean

オブジェクトタイプにセンシティブとされたプロパティーを含めることができるかどうかを決定します。

description
string

オブジェクトタイプの簡単な説明。

primaryDisplayProperty
string

このオブジェクトのプライマリープロパティーの名前。このオブジェクトタイプのHubSpotレコードページにプライマリーとして表示されます。

searchableProperties
string[]

HubSpotの製品検索でこのオブジェクトタイプについてインデックスされるプロパティーの名前。

secondaryDisplayProperties
string[]

このオブジェクトのセカンダリープロパティーの名前。このオブジェクトタイプのHubSpotレコードページにセカンダリーとして表示されます。

レスポンス

successful operation

Defines an object schema, including its properties and associations.

associations
object[]
必須

特定のオブジェクトタイプについて定義された関連付け。

id
string
必須

このオブジェクトタイプの固有ID。{meta-type}-{unique ID}として定義されます。

labels
object
必須

Singular and plural labels for the object. Used in CRM display.

:
{
"plural": "My objects",
"singular": "My object"
}
name
string
必須

このオブジェクトの重複しない名前。内部使用のみ。

properties
object[]
必須

このオブジェクトタイプについて定義されたプロパティー。

requiredProperties
string[]
必須

このタイプのオブジェクトを作成する際に「必須」となるプロパティーの名前。

allowsSensitiveProperties
boolean
archived
boolean
createdAt
string<date-time>

オブジェクトタイプが作成された日時。

createdByUserId
integer<int32>
description
string
fullyQualifiedName
string

ポータルIDやオブジェクト名を含む、オブジェクトの割り当てられた固有ID。

objectTypeId
string
primaryDisplayProperty
string

このオブジェクトのプライマリープロパティーの名前。このオブジェクトタイプのHubSpotレコードページにプライマリーとして表示されます。

searchableProperties
string[]

HubSpotの製品検索でこのオブジェクトタイプについてインデックスされるプロパティーの名前。

secondaryDisplayProperties
string[]

このオブジェクトのセカンダリープロパティーの名前。このオブジェクトタイプのHubSpotレコードページにセカンダリーとして表示されます。

updatedAt
string<date-time>

オブジェクトタイプが最後に更新された日時。

updatedByUserId
integer<int32>
Last modified on January 23, 2026